be.fgov.ehealth.dics.protocol.v5

## Class ConsultChapterIVNameTranslationType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.ConsultChapterIVNameTranslationType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:12:51+01:00",
                 comments="JAXB RI v2.2.11")
      public class ConsultChapterIVNameTranslationType
      extends Object
      implements Serializable

  Java class for ConsultChapterIVNameTranslationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultChapterIVNameTranslationType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="CreatedTimestamp" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
               <element name="CreatedUserId" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="ShortText" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="LongText" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="LongBinaryText" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
               <element name="AddressUrl" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="ModificationStatus" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
             <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
             <attribute name="NameTypeCV" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="LanguageCV" use="required" type="{http://www.w3.org/2001/XMLSchema}language" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultChapterIVNameTranslationType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAddressUrl()` Gets the value of the addressUrl property.
    `org.joda.time.DateTime` | `getCreatedTimestamp()` Gets the value of the createdTimestamp property.
    `String` | `getCreatedUserId()` Gets the value of the createdUserId property.
    `org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
    `String` | `getLanguageCV()` Gets the value of the languageCV property.
    `byte[]` | `getLongBinaryText()` Gets the value of the longBinaryText property.
    `String` | `getLongText()` Gets the value of the longText property.
    `String` | `getModificationStatus()` Gets the value of the modificationStatus property.
    `String` | `getNameTypeCV()` Gets the value of the nameTypeCV property.
    `String` | `getShortText()` Gets the value of the shortText property.
    `org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
    `void` | `setAddressUrl(String value)` Sets the value of the addressUrl property.
    `void` | `setCreatedTimestamp(org.joda.time.DateTime value)` Sets the value of the createdTimestamp property.
    `void` | `setCreatedUserId(String value)` Sets the value of the createdUserId property.
    `void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
    `void` | `setLanguageCV(String value)` Sets the value of the languageCV property.
    `void` | `setLongBinaryText(byte[] value)` Sets the value of the longBinaryText property.
    `void` | `setLongText(String value)` Sets the value of the longText property.
    `void` | `setModificationStatus(String value)` Sets the value of the modificationStatus property.
    `void` | `setNameTypeCV(String value)` Sets the value of the nameTypeCV property.
    `void` | `setShortText(String value)` Sets the value of the shortText property.
    `void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultChapterIVNameTranslationType

          public ConsultChapterIVNameTranslationType()

  - ### Method Detail

    - #### getCreatedTimestamp

          public org.joda.time.DateTime getCreatedTimestamp()

      Gets the value of the createdTimestamp property.
      Returns:
        possible object is `String`

    - #### setCreatedTimestamp

          public void setCreatedTimestamp(org.joda.time.DateTime value)

      Sets the value of the createdTimestamp property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCreatedUserId

          public String getCreatedUserId()

      Gets the value of the createdUserId property.
      Returns:
        possible object is `String`

    - #### setCreatedUserId

          public void setCreatedUserId(String value)

      Sets the value of the createdUserId property.
      Parameters:
        `value` - allowed object is `String`

    - #### getShortText

          public String getShortText()

      Gets the value of the shortText property.
      Returns:
        possible object is `String`

    - #### setShortText

          public void setShortText(String value)

      Sets the value of the shortText property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLongText

          public String getLongText()

      Gets the value of the longText property.
      Returns:
        possible object is `String`

    - #### setLongText

          public void setLongText(String value)

      Sets the value of the longText property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLongBinaryText

          public byte[] getLongBinaryText()

      Gets the value of the longBinaryText property.
      Returns:
        possible object is byte[]

    - #### setLongBinaryText

          public void setLongBinaryText(byte[] value)

      Sets the value of the longBinaryText property.
      Parameters:
        `value` - allowed object is byte[]

    - #### getAddressUrl

          public String getAddressUrl()

      Gets the value of the addressUrl property.
      Returns:
        possible object is `String`

    - #### setAddressUrl

          public void setAddressUrl(String value)

      Sets the value of the addressUrl property.
      Parameters:
        `value` - allowed object is `String`

    - #### getModificationStatus

          public String getModificationStatus()

      Gets the value of the modificationStatus property.
      Returns:
        possible object is `String`

    - #### setModificationStatus

          public void setModificationStatus(String value)

      Sets the value of the modificationStatus property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNameTypeCV

          public String getNameTypeCV()

      Gets the value of the nameTypeCV property.
      Returns:
        possible object is `String`

    - #### setNameTypeCV

          public void setNameTypeCV(String value)

      Sets the value of the nameTypeCV property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLanguageCV

          public String getLanguageCV()

      Gets the value of the languageCV property.
      Returns:
        possible object is `String`

    - #### setLanguageCV

          public void setLanguageCV(String value)

      Sets the value of the languageCV property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStartDate

          public org.joda.time.DateTime getStartDate()

      Gets the value of the startDate property.
      Returns:
        possible object is `String`

    - #### setStartDate

          public void setStartDate(org.joda.time.DateTime value)

      Sets the value of the startDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndDate

          public org.joda.time.DateTime getEndDate()

      Gets the value of the endDate property.
      Returns:
        possible object is `String`

    - #### setEndDate

          public void setEndDate(org.joda.time.DateTime value)

      Sets the value of the endDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.